/// <reference path="../../../ts/custom-declarations/d3v3.d.ts" />
import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiNetworkGraphConfig } from "../generated/UiNetworkGraphConfig";
export declare class UiNetworkGraph extends AbstractUiComponent<UiNetworkGraphConfig> {
    private $graph;
    private svg;
    private svgContainer;
    private rect;
    private container;
    private node;
    private link;
    private force;
    private zoom;
    private linkedByIndex;
    private toggle;
    constructor(config: UiNetworkGraphConfig, context: TeamAppsUiContext);
    getMainDomElement(): HTMLElement;
    createGraph(width: any, height: any, gravity: any, images: any, nodesData: any, linksData: any): void;
    private connectedNodes;
    private isConnected;
    private dottype;
    onResize(): void;
    setZoomFactor(zoomFactor: number): void;
    setGravity(gravity: number): void;
    setDistance(distance: number, overrideNodeCharge: boolean): void;
    setCharge(charge: number, overrideNodeCharge: boolean): void;
    destroy(): void;
}
